<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="{{ path('default_index') }}">{{ 'includes.header.app_name'|trans }}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    {% set route = app.request.attributes.get('_route') %}
    <div class="collapse navbar-collapse js-navigation-listener" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item{{ route == 'default_index' ? ' active' : '' }}">
                <a class="nav-link" href="{{ path('default_index') }}">
                    <i class="fa fa-home"></i> {{ 'includes.header.home'|trans }}
                </a>
            </li>
            {% if is_granted('ROLE_USER') %}
                <li class="nav-item{{ route == 'user_reset_password' ? ' active' : '' }}">
                    <a class="nav-link" href="{{ path('user_reset_password') }}">
                        <i class="fa fa-lock"></i> {{ 'includes.header.reset_password'|trans }}
                    </a>
                </li>
            {% endif %}
            {% if is_granted('ROLE_ADMIN') %}

                <li class="nav-item {{ route == 'admin_party_list' ? ' active' : '' }}">
                    <a class="nav-link" href="{{ path('admin_party_list') }}">
                        <i class="fa fa-wrench"></i> {{ 'includes.header.party_administration'|trans }}
                    </a>
                </li>
                <li class="nav-item {{ route == 'admin_party_add' ? ' active' : '' }}">
                    <a class="nav-link" href="{{ path('admin_party_add') }}">
                        <i class="fa fa-plus"></i> {{ 'includes.header.party_add'|trans }}
                    </a>
                </li>
                <li class="nav-item {{ route == 'admin_users_list' ? ' active' : '' }}">
                    <a class="nav-link" href="{{ path('admin_users_list') }}">
                        <i class="fa fa-users"></i> {{ 'includes.header.user_administration'|trans }}
                    </a>
                </li>

            {% endif %}
        </ul>
        {% if app.user %}

            <a href="{{ path('security_logout') }}" class="btn btn-default">{{ 'security.logout.logout'|trans }}</a>

        {% elseif route not in ['security_login', 'user_register'] %}

            <a href="{{ path('security_login') }}" class="btn btn-default">{{ 'security.login.login'|trans }}</a>
            &nbsp; | &nbsp;
            <a href="{{ path('user_register') }}" class="btn btn-success">{{ 'user.register.register'|trans }}</a>

        {% endif %}
    </div>
</nav>
